"use strict";
exports.__esModule = true;
var request = require('request');
function fetch(url, resourceName) {
    if (resourceName === void 0) { resourceName = 'resources'; }
    return new Promise(function (resolve, reject) {
        request(url, function (e, response, body) {
            if (!e && response.statusCode === 200) {
                var ret = JSON.parse(body);
                if ((Array.isArray(ret) && ret.length) || utils_1.isPlainObject(ret)) {
                    resolve(ret);
                }
                else {
                    reject("There's no " + resourceName + " yet.");
                }
            }
            else if (response) {
                reject("Unable to fetch " + resourceName + " because: " + JSON.parse(response.body).message + ".");
            }
            else {
                reject(e);
            }
        });
    });
}
exports.fetch = fetch;
